﻿/**
 * Dinamikus színek
 */
{
  // Feliratok színe
  "def": {
    "al": "0x96FF00", // Saját csapat
    "sq": "0xFFB964", // Csapattárs
    "tk": "0x00EAFF", // Csapatgyilkos
    "en": "0xF50800", // Ellenfél
    "pl": "0xFFDD33", // Saját magunk (???)
    // Dinamikus színek statisztikai paraméterek alapján
    "colorRating": {
      "very_bad":     "0xFE0E00",   // nagyon rossz
      "bad":          "0xFE7903",   // rossz
      "normal":       "0xF8F400",   // átlagos
      "good":         "0x60FF00",   // jó
      "very_good":    "0x02C9B3",   // nagyon jó
      "unique":       "0xD042F3"    // kiemelkedő
    },
    // Dinamikus színek maradék HP alapján
    "colorHP": {
      "very_low":         "0xFF0000",   // nagyon kevés
      "low":              "0xDD4444",   // kevés
      "average":          "0xFFCC22",   // átlagos
      "above_average":    "0xFCFCFC"    // átlagosnál jobb
    }
  },
  "colors": {
    // Rendszer színek
    "system": {
      // Formátum: object_state
      // Objektum:      ally, squadman, teamKiller, enemy
      // Állapot:       alive, dead, blowedup
      "ally_alive":          ${"def.al"},
      "ally_dead":           "0x009900",
      "ally_blowedup":       "0x007700",
      "squadman_alive":      ${"def.sq"},
      "squadman_dead":       "0xCA7000",
      "squadman_blowedup":   "0xA45A00",
      "teamKiller_alive":    ${"def.tk"},
      "teamKiller_dead":     "0x097783",
      "teamKiller_blowedup": "0x096A75",
      "enemy_alive":         ${"def.en"},
      "enemy_dead":          "0x840500",
      "enemy_blowedup":      "0x5A0401",
      "ally_base":           ${"def.al"},
      "enemy_base":          ${"def.en"}
    },
    // Dinamikus szín sebzés típus alapján 
    "dmg_kind": {
      "shot": "0xFFAA55",            // találat
      "fire": "0xFF6655",            // tűz
      "ramming": "0x998855",         // ütközés
      "world_collision": "0x228855", // zuhanás/esés
      "death_zone": "0xCCCCCC",      // gőzöm sincs
      "drowning": "0xCCCCCC",        // fulladás
      "other": "0xCCCCCC"            // egyéb
    },
    // Dinamikus szín járműtípus alapján
    "vtype": {
      // Könnyű tank
      "LT":  "0xA2FF9A",
      // Közepes tank
      "MT":  "0xFFF198",
      // Nehéz tank
      "HT":  "0xFFACAC",
      // Önjáró löveg
      "SPG": "0xEFAEFF",
      // Páncélvadász
      "TD":  "0xA0CFFF",
      // Prémium
      "premium": "0xFFCC66",
      // Használjon-e a Prémium színt
      "usePremiumColor": false
    },
    // Dinamikus szín spot státusz alapján
    "spotted": {
      "neverSeen": "0x000000",            // Sosem látott
      "lost": "0x999999",                 // Eltűnt 
      "revealed": "0x00DE00",             // Spotolt
      "dead": "0x000000",                 // Halott
      "neverSeen_arty": "0x000000",       // Sosem látott önjáró löveg 
      "lost_arty": "0x999999",            // Eltűnt önjáró löveg
      "revealed_arty": "0xDE0000",        // Spotolt önjáró löveg
      "dead_arty": "0x000000"             // Halott önjáró löveg
    },
    // Szín beállítás sebzéshez
    "damage": {
      // Formátum:             src_dst_type.
      // Forrás:               ally, squadman, enemy, unknown, player.
      // Célpont:              ally, squadman, allytk, enemytk, enemy.
      // Sebzés típus:         hit, kill, blowup.
      "ally_ally_hit":              ${"def.tk"},
      "ally_ally_kill":             ${"def.tk"},
      "ally_ally_blowup":           ${"def.tk"},
      "ally_squadman_hit":          ${"def.tk"},
      "ally_squadman_kill":         ${"def.tk"},
      "ally_squadman_blowup":       ${"def.tk"},
      "ally_enemy_hit":             ${"def.en"},
      "ally_enemy_kill":            ${"def.en"},
      "ally_enemy_blowup":          ${"def.en"},
      "ally_allytk_hit":            ${"def.tk"},
      "ally_allytk_kill":           ${"def.tk"},
      "ally_allytk_blowup":         ${"def.tk"},
      "ally_enemytk_hit":           ${"def.en"},
      "ally_enemytk_kill":          ${"def.en"},
      "ally_enemytk_blowup":        ${"def.en"},
      "enemy_ally_hit":             ${"def.al"},
      "enemy_ally_kill":            ${"def.al"},
      "enemy_ally_blowup":          ${"def.al"},
      "enemy_squadman_hit":         ${"def.al"},
      "enemy_squadman_kill":        ${"def.al"},
      "enemy_squadman_blowup":      ${"def.al"},
      "enemy_enemy_hit":            ${"def.en"},
      "enemy_enemy_kill":           ${"def.en"},
      "enemy_enemy_blowup":         ${"def.en"},
      "enemy_allytk_hit":           ${"def.al"},
      "enemy_allytk_kill":          ${"def.al"},
      "enemy_allytk_blowup":        ${"def.al"},
      "enemy_enemytk_hit":          ${"def.en"},
      "enemy_enemytk_kill":         ${"def.en"},
      "enemy_enemytk_blowup":       ${"def.en"},
      "unknown_ally_hit":           ${"def.al"},
      "unknown_ally_kill":          ${"def.al"},
      "unknown_ally_blowup":        ${"def.al"},
      "unknown_squadman_hit":       ${"def.al"},
      "unknown_squadman_kill":      ${"def.al"},
      "unknown_squadman_blowup":    ${"def.al"},
      "unknown_enemy_hit":          ${"def.en"},
      "unknown_enemy_kill":         ${"def.en"},
      "unknown_enemy_blowup":       ${"def.en"},
      "unknown_allytk_hit":         ${"def.al"},
      "unknown_allytk_kill":        ${"def.al"},
      "unknown_allytk_blowup":      ${"def.al"},
      "unknown_enemytk_hit":        ${"def.en"},
      "unknown_enemytk_kill":       ${"def.en"},
      "unknown_enemytk_blowup":     ${"def.en"},
      "squadman_ally_hit":          ${"def.sq"},
      "squadman_ally_kill":         ${"def.sq"},
      "squadman_ally_blowup":       ${"def.sq"},
      "squadman_squadman_hit":      ${"def.sq"},
      "squadman_squadman_kill":     ${"def.sq"},
      "squadman_squadman_blowup":   ${"def.sq"},
      "squadman_enemy_hit":         ${"def.sq"},
      "squadman_enemy_kill":        ${"def.sq"},
      "squadman_enemy_blowup":      ${"def.sq"},
      "squadman_allytk_hit":        ${"def.sq"},
      "squadman_allytk_kill":       ${"def.sq"},
      "squadman_allytk_blowup":     ${"def.sq"},
      "squadman_enemytk_hit":       ${"def.sq"},
      "squadman_enemytk_kill":      ${"def.sq"},
      "squadman_enemytk_blowup":    ${"def.sq"},
      "player_ally_hit":            ${"def.pl"},
      "player_ally_kill":           ${"def.pl"},
      "player_ally_blowup":         ${"def.pl"},
      "player_squadman_hit":        ${"def.pl"},
      "player_squadman_kill":       ${"def.pl"},
      "player_squadman_blowup":     ${"def.pl"},
      "player_enemy_hit":           ${"def.pl"},
      "player_enemy_kill":          ${"def.pl"},
      "player_enemy_blowup":        ${"def.pl"},
      "player_allytk_hit":          ${"def.pl"},
      "player_allytk_kill":         ${"def.pl"},
      "player_allytk_blowup":       ${"def.pl"},
      "player_enemytk_hit":         ${"def.pl"},
      "player_enemytk_kill":        ${"def.pl"},
      "player_enemytk_blowup":      ${"def.pl"}
    },
    // Az alábbi értékek a kissebbtől a nagyobb felé haladva
    // ----
    // Dinamikus szín HP függvényében
    "hp": [
      { "value": 201,  "color": ${"def.colorHP.very_low"     } },      // 201 alatt
      { "value": 401,  "color": ${"def.colorHP.low"          } },      // 401 alatt
      { "value": 1001, "color": ${"def.colorHP.average"      } },      // 1001 alatt
      { "value": 9999, "color": ${"def.colorHP.above_average"} }       // 9999 alatt
    ],
    // Dinamikus szín maradék HP függvényében
    "hp_ratio": [
      { "value": 10,  "color": ${"def.colorHP.very_low"     } },       // 10% alatt
      { "value": 25,  "color": ${"def.colorHP.low"          } },       // 25% alatt
      { "value": 50,  "color": ${"def.colorHP.average"      } },       // 50% alatt
      { "value": 101, "color": ${"def.colorHP.above_average"} }        // 50% felett
    ],
    // Dinamikus színk XVM alapján
    // http://www.koreanrandom.com/forum/topic/2625-/
    "x": [
      { "value": 16.5, "color": ${"def.colorRating.very_bad" } },   // 00   - 16.5 - nagyon rossz     (a játékosok 20%)
      { "value": 33.5, "color": ${"def.colorRating.bad"      } },   // 16.5 - 33.5 - rossz            (jobb mint a játékosok 20%)
      { "value": 52.5, "color": ${"def.colorRating.normal"   } },   // 33.5 - 52.5 - átlagos          (jobb mint a játékosok 60%)
      { "value": 75.5, "color": ${"def.colorRating.good"     } },   // 52.5 - 75.5 - jó               (jobb mint a játékosok 90%)
      { "value": 92.5, "color": ${"def.colorRating.very_good"} },   // 75.5 - 92.5 - nagyon jó        (jobb mint a játékosok 99%)
      { "value": 999,  "color": ${"def.colorRating.unique"   } }    // 92.5 - XX   - kiemelkedő       (jobb mint a játékosok 99.9%)
    ],
    // Dinamikus színek efficiency alapján
    "eff": [
      { "value": 610,  "color": ${"def.colorRating.very_bad" } },  //    0 - 609  - nagyon rossz     (a játékosok 20%)
      { "value": 850,  "color": ${"def.colorRating.bad"      } },  //  610 - 849  - rossz            (jobb mint a játékosok 20%)
      { "value": 1145, "color": ${"def.colorRating.normal"   } },  //  850 - 1144 - átlagos          (jobb mint a játékosok 60%)
      { "value": 1475, "color": ${"def.colorRating.good"     } },  // 1145 - 1474 - jó               (jobb mint a játékosok 90%)
      { "value": 1775, "color": ${"def.colorRating.very_good"} },  // 1475 - 1774 - nagyon jó        (jobb mint a játékosok 99%)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 1775 - *    - kiemelkedő       (jobb mint a játékosok 99.9%)
    ],
    // Dinamikus színek WN6 alapján
    "wn6": [
      { "value": 410,  "color": ${"def.colorRating.very_bad" } },  //    0 - 409  - nagyon rossz     (a játékosok 20%)
      { "value": 795,  "color": ${"def.colorRating.bad"      } },  //  410 - 794  - rossz            (jobb mint a játékosok 20%)
      { "value": 1185, "color": ${"def.colorRating.normal"   } },  //  795 - 1184 - átlagos          (jobb mint a játékosok 60%)
      { "value": 1585, "color": ${"def.colorRating.good"     } },  // 1185 - 1584 - jó               (jobb mint a játékosok 90%)
      { "value": 1925, "color": ${"def.colorRating.very_good"} },  // 1585 - 1924 - nagyon jó        (jobb mint a játékosok 99%)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 1925 - *    - kiemelkedő       (jobb mint a játékosok 99.9%)
    ],
    // Dinamikus színek WN8 alapján
    "wn8": [
      { "value": 355,  "color": ${"def.colorRating.very_bad" } },  //    0 - 354  - nagyon rossz     (a játékosok 20%)
      { "value": 820,  "color": ${"def.colorRating.bad"      } },  //  355 - 819  - rossz            (jobb mint a játékosok 20%)
      { "value": 1370, "color": ${"def.colorRating.normal"   } },  //  820 - 1369 - átlagos          (jobb mint a játékosok 60%)
      { "value": 2020, "color": ${"def.colorRating.good"     } },  // 1370 - 2019 - jó               (jobb mint a játékosok 90%)
      { "value": 2620, "color": ${"def.colorRating.very_good"} },  // 2020 - 2619 - nagyon jó        (jobb mint a játékosok 99%)
      { "value": 9999, "color": ${"def.colorRating.unique"   } }   // 2620 - *    - kiemelkedő       (jobb mint a játékosok 99.9%)
    ],
    // Dinamikus színek WG rating alapján
    "wgr": [
      { "value": 2020,  "color": ${"def.colorRating.very_bad" } },  //    0 - 2019 - nagyon rossz     (a játékosok 20%)
      { "value": 4185,  "color": ${"def.colorRating.bad"      } },  // 2020 - 4184 - rossz            (jobb mint a játékosok 20%)
      { "value": 6340,  "color": ${"def.colorRating.normal"   } },  // 4185 - 6339 - átlagos          (jobb mint a játékosok 60%)
      { "value": 8525,  "color": ${"def.colorRating.good"     } },  // 6340 - 8524 - jó               (jobb mint a játékosok 90%)
      { "value": 9930,  "color": ${"def.colorRating.very_good"} },  // 8525 - 9929 - nagyon jó        (jobb mint a játékosok 99%)
      { "value": 99999, "color": ${"def.colorRating.unique"   } }   // 9930 - *    - kiemelkedő       (jobb mint a játékosok 99.9%)
    ],
    // Dinamikus színek TEFF (E) alapján
    "e": [
      { "value": 3,    "color": ${"def.colorRating.very_bad" } },
      { "value": 6,    "color": ${"def.colorRating.bad"      } },
      { "value": 7,    "color": ${"def.colorRating.normal"   } },
      { "value": 8,    "color": ${"def.colorRating.good"     } },
      { "value": 9,    "color": ${"def.colorRating.very_good"} },
      { "value": 20,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dinamikus színek győzelmi arány alapján
    "rating": [
      { "value": 46.5, "color": ${"def.colorRating.very_bad" } },   //  0   - 46.5  - nagyon rossz     (a játékosok 20%)
      { "value": 48.5, "color": ${"def.colorRating.bad"      } },   // 46.5 - 48.5  - rossz            (jobb mint a játékosok 20%)
      { "value": 51.5, "color": ${"def.colorRating.normal"   } },   // 48.5 - 51.5  - átlagos          (jobb mint a játékosok 60%)
      { "value": 56.5, "color": ${"def.colorRating.good"     } },   // 51.5 - 56.5  - jó               (jobb mint a játékosok 90%)
      { "value": 64.5, "color": ${"def.colorRating.very_good"} },   // 56.5 - 64.5  - nagyon jó        (jobb mint a játékosok 99%)
      { "value": 101,  "color": ${"def.colorRating.unique"   } }    // 64.5 - 100   - kiemelkedő       (jobb mint a játékosok 99.9%)
    ],
    // Dinamikus színek csata szám alapján (kilobattle)
    "kb": [
      { "value": 2,   "color": ${"def.colorRating.very_bad" } },   //  0 - 2
      { "value": 6,   "color": ${"def.colorRating.bad"      } },   //  2 - 6
      { "value": 16,  "color": ${"def.colorRating.normal"   } },   //  6 - 16
      { "value": 30,  "color": ${"def.colorRating.good"     } },   // 16 - 30
      { "value": 43,  "color": ${"def.colorRating.very_good"} },   // 30 - 43
      { "value": 999, "color": ${"def.colorRating.unique"   } }    // 43 - *
    ],
    // Dinamikus színek a játékos átlag tankszintje alapján
    "avglvl": [
      { "value": 2,  "color": ${"def.colorRating.very_bad" } },
      { "value": 3,  "color": ${"def.colorRating.bad"      } },
      { "value": 5,  "color": ${"def.colorRating.normal"   } },
      { "value": 7,  "color": ${"def.colorRating.good"     } },
      { "value": 9,  "color": ${"def.colorRating.very_good"} },
      { "value": 11, "color": ${"def.colorRating.unique"   } }
    ],
    // Dinamikus színek az aktuális tank csataszáma alapján
    "t_battles": [
      { "value": 100,   "color": ${"def.colorRating.very_bad" } }, //    0 - 99
      { "value": 250,   "color": ${"def.colorRating.bad"      } }, //  100 - 249
      { "value": 500,   "color": ${"def.colorRating.normal"   } }, //  250 - 499
      { "value": 1000,  "color": ${"def.colorRating.good"     } }, //  500 - 999
      { "value": 1800,  "color": ${"def.colorRating.very_good"} }, // 1000 - 1799
      { "value": 99999, "color": ${"def.colorRating.unique"   } }  // 1800 - *
    ],
    // Dinamikus színek az aktuális tank átlag sebzése alapján
    "tdb": [
      { "value": 500,  "color": ${"def.colorRating.very_bad" } },
      { "value": 750,  "color": ${"def.colorRating.bad"      } },
      { "value": 1000, "color": ${"def.colorRating.normal"   } },
      { "value": 1800, "color": ${"def.colorRating.good"     } },
      { "value": 2500, "color": ${"def.colorRating.very_good"} },
      { "value": 9999, "color": ${"def.colorRating.unique"   } }
    ],
    // Dinamikus szín az aktuális tank átlagos sebzésaránya alapján
    "tdv": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dinamikus szín az aktuális tank csatánkénti átlag killszáma alapján
    "tfb": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dinamikus szín az aktuális tankkal csatánként spotolt ellenfél száma alapján
    "tsb": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dinamikus szín a WN8 effective damage alapján (a micsoda?)
    "wn8effd": [
      { "value": 0.6,  "color": ${"def.colorRating.very_bad" } },
      { "value": 0.8,  "color": ${"def.colorRating.bad"      } },
      { "value": 1.0,  "color": ${"def.colorRating.normal"   } },
      { "value": 1.3,  "color": ${"def.colorRating.good"     } },
      { "value": 2.0,  "color": ${"def.colorRating.very_good"} },
      { "value": 15,   "color": ${"def.colorRating.unique"   } }
    ],
    // Dinamikus szín a sebzés átlag alapján (kiválósági jel % értéke alapján)
    "damageRating": [
      { "value": 20,    "color": ${"def.colorRating.very_bad" } },  // nagyon rossz     (a játékosok 20%)
      { "value": 60,    "color": ${"def.colorRating.bad"      } },  // rossz            (jobb mint a játékosok 20%)
      { "value": 90,    "color": ${"def.colorRating.normal"   } },  // átlagos          (jobb mint a játékosok 60%)
      { "value": 99,    "color": ${"def.colorRating.good"     } },  // jó               (jobb mint a játékosok 90%)
      { "value": 99.9,  "color": ${"def.colorRating.very_good"} },  // nagyon jó        (jobb mint a játékosok 99%)
      { "value": 101,   "color": ${"def.colorRating.unique"   } }   // kiemelkedő       (jobb mint a játékosok 99.9%)
    ],
    // Dinamikus sziín találati arány alapján
    "hitsRatio": [
      { "value": 47.5,  "color": ${"def.colorRating.very_bad" } },
      { "value": 60.5,  "color": ${"def.colorRating.bad"      } },
      { "value": 68.5,  "color": ${"def.colorRating.normal"   } },
      { "value": 74.5,  "color": ${"def.colorRating.good"     } },
      { "value": 78.5,  "color": ${"def.colorRating.very_good"} },
      { "value": 101,   "color": ${"def.colorRating.unique"   } }
    ]
  }
}