﻿/**
 * Csapatlisták beállításai ("fülek").
 */
{
  // Spot "csillag" helyének a beállítása. A "csillag" megjelenését a texts.xc-ben lehet állítani
  "enemySpottedMarker": {
    // Áttetszőség beállítása 0 - áttetsző (nem látszik a csillag) ... 100 - nem áttetsző.
    "alpha": 100,
    // x pozíció
    "x": -85,
    // y pozíció
    "y": 8,
    // Ikonhoz rögzítés, true - x pozíció a tank ikonhoz rögzítve, false - x pozíció a képernyő széléhez rögzítve
    "bindToIcon": true,
    // A spot jelző formátuma
    "format": "{{spotted}}",
    // Árnyékolás
    "shadow": {}
  },
  // Csapat listák beállításai ("fülek").
  "playersPanel": {
    // A sapat lista áttetszősége (csak a háttere!)
    "alpha": 60,
    // A csapat listán lévő tank ikonok áttetszősége
    "iconAlpha": 100,
    // Szakasz ikonok eltávolítása
    "removeSquadIcon": false,
    // Kiemelés eltávolítása a kiválasztott játékos neveről (pl. mikor halál után "ráülsz" valakire)
    "removeSelectedBackground": false,
    // Csapat lista méret váltó gombok eltüntetése (Ctrl+Tab-al továbbra is tudsz méretet váltani)
    "removePanelsModeSwitcher": false,
    // Csata kezdetén ezzel a csapat lista mérettel indulsz. Lehetséges értékek: "none", "short", "medium", "medium2", "large".
    "startMode": "large",
    // Alternatív csapat lista mód. A hotKeys.xc-ben (13.sor) tudsz ehhez billentyűt rendelni. Lehetséges értékek: null, "none", "short", "medium", "medium2", "large".
    "altMode": null,
    // Klánlogók megjelenésének beállításai (lásd: battleLoading.xc).
    "clanIcon": {
      "show": true,
      "x": 0,
      "y": 6,
      "xr": 0,
      "yr": 6,
      "w": 16,
      "h": 16,
      "alpha": 90
    },
    //
    // Itt kezdődnek a játékban látszó panelek tartalmának beállításai!
    // Zárójelben írtam, hogy mit láthatunk az aktuális lista beállításnál a bal oldalon. (Jobb oldalon mindig ugyan az van, annyi különbséggel, hogy tükrözve van és ott van spot csillag.)    
    //        
    // A "none" lista beállításai (jelenleg teljesen üres)
    "none": {
      // Engedélyezve/tiltva
      "enabled": true,
      // elrendezés ("vertical" - függőleges vagy "horizontal" - vízszintes)
      "layout": "vertical",
      // Extra mezők
      "extraFields": {
        // Bal oldali lista
        "leftPanel": {
          "x": 0, // A képernyő BAL oldalától
          "y": 65,
          "width": 350,
          "height": 25,
          // Formátumok a bal oldalra
          // pálda:
          // "format": [
          //   // egyszerü mód, csak szöveg
          //   "{{nick}}",
          //   "<img src='xvm://res/img/panel-bg-l-{{alive|dead}}.png' width='318' height='28'>",
          //   // bővített mód
          //   { "x": 20, "y": 10, "borderColor": "0xFFFFFF", "format": "{{nick}}" },
          //   { "x": 200, "src": "xvm://res/contour/{{vehiclename}}.png" }
          // ]
          //
          // formátumok a kiterjesztett módban:
          //   - MovieClip (képeknek)
          //   - TextField (szövegnek és téglalapoknak (keretek?) )
          // ha van "src" mező, akkor MovieClip formátum(ot kell használni?)
          // ha nincs "src" mező, akkor TextField formátum(ot kell használni?)
          //
          // mezők a kiterjesztett módban:
          //   "src" - elérési út ("xvm://res/contour/{{vehiclename}}.png")
          //   "format" - szöveges mező, makrók engedélyezettek
          //
          // mezők, melyek mind MovieClip, mind TextField formátumban használhatók:
          //   "x" - x pozíció (makrók engedélyezettek)
          //   "y" - y pozíció (makrók engedélyezettek)
          //   "w" - szélesség (makrók engedélyezettek)
          //   "h" - magasság (makrók engedélyezettek)
          //   "bindToIcon" - Ikonhoz rögzítés, ha true, akkor a tank ikonhoz rögzíti az x pozíciót (alapértelmezés: false)
          //   "alpha" - áttetszőség százalékban (0..100) (makrók engedélyezettek)
          //   "rotation" - elforgatás fokban (0..360, 0 = képernyő teteje) (makrók engedélyezettek)
          //   "align" - vízszintes elrendezés ("left", "center", "right")
          //      a bal oldali lista alapértelmezése bal "left"
          //      a jobb oldali lista alapértelmezése jobb "right"
          //   "scaleX", "scaleY" - nagyítás (használj negatív értéket tükrözéshez)
          //
          // mezők, melyek csak TextField formátumban használhatók:
          //   "valign" - vízszintes elredezés ("top", "center", "bottom")
          //      alapértelmezett "top"
          //   "borderColor" - ha értéket kap, keretet rajzol azzal színnel (makrók engedélyezettek)
          //   "bgColor" - ha értéket kap, kitölti a hátteret azzal színnel  (makrók engedélyezettek)
          //   "antiAliasType" - élsimítás ("advanced" or "normal")
          //   "shadow": {
          //     "distance" (pixelben)
          //     "angle"    (0.0 .. 360.0)
          //     "color"    "0xXXXXXX"
          //     "alpha"    (0.0 .. 1.0)
          //     "blur"     (0.0 .. 255.0)
          //     "strength" (0.0 .. 255.0)
          //    }
          //
          // mezők, melyek csak MovieClip formátumban használhatók:
          //     "highlight" - a játékos állapotától függő kiemelés, default false
          //
          // * az összes mező opcionális :)
          //
          "formats": []
        },
        // Jobb oldali lista
        "rightPanel": {
          "x": 0, // A képernyő JOBB oldalától
          "y": 65,
          "width": 350,
          "height": 25,
          // Formátumok a jobb oldalra (lásd feljebb)
          "formats": []
        }
      }
    },
    // A "short" lista beállításai (jelenleg killeket és tank ikonokat mutat)
    "short": {
      // Engedélyezve/tiltva
      "enabled": true,
      // Az oszlop minimális szélessége, 0-250. Alapértelmezett 0.
      "width": 0,
      // Killek megjelenési módja (makrók engedélyezettek, lásd macros.txt).
      "fragsFormatLeft": "{{frags}}", // Bal oldal
      "fragsFormatRight": "{{frags}}", // Jobb oldal
      // Extra mezők. Minden mező mérete 350x25. A mezők egymás főle kerülnek.
      // Formátumok a bal oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsLeft": [],
      // Formátumok a jobb oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsRight": [
        // Spot jelző (lásd fent).
        ${"enemySpottedMarker"}
      ]
    },
    // A "medium" lista beállításai (jelenleg XWN8 színű, halálra halványodó játékosnév, valamint kicsit halványabb klánnév, killszám, tankikon)
    "medium": {
      // Engedélyezve/tiltva
      "enabled": true,
      // Az oszlop minimális szélessége, 0-250. Alapértelmezett 46.
      "width": 46,
      // A bal listában a megjelenés (makrók engedélyezettek, lásd macros.txt).
      "formatLeft": "<font color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{name%.12s~..}}</font> <font alpha='#A0'>{{clan}}</font>",
      // A jobb listában a megjelenés (makrók engedélyezettek, lásd macros.txt).
      "formatRight": "<font alpha='#A0'>{{clan}}</font> <font color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{name%.12s~..}}</font>",
      // Killek megjelenési módja (makrók engedélyezettek, lásd macros.txt).
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      // Extra mezők. Minden mező mérete 350x25. A mezők egymás főle kerülnek.
      // Formátumok a bal oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsLeft": [],
      // Formátumok a jobb oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsRight": [
        // Spot jelző (lásd fent).
        ${"enemySpottedMarker"}
      ]
    },
    // A "medium2" lista beállításai (jelenleg XWN8 színű, halálra halványodó tank név, killszám, tankikon)
    "medium2": {
      // Engedélyezve/tiltva
      "enabled": true,
      // Az oszlop minimális szélessége, 0-250. Alapértelmezett 65.
      "width": 65,
      // A bal listában a megjelenés (makrók engedélyezettek, lásd macros.txt).
      "formatLeft": "<font color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{vehicle}}</font>",
      // A jobb listában a megjelenés (makrók engedélyezettek, lásd macros.txt).
      "formatRight": "<font color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{vehicle}}</font>",
      // Killek megjelenési módja (makrók engedélyezettek, lásd macros.txt).
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      // Extra mezők. Minden mező mérete 350x25. A mezők egymás főle kerülnek.
      // Formátumok a bal oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsLeft": [],
      // Formátumok a jobb oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsRight": [
        // Spot jelző (lásd fent).
        ${"enemySpottedMarker"}
      ]
    },
    // A "large" lista beállításai (jelenleg XWN8 színű, halálra halványodó XWN8 érték, XVM-mod használatát jelző ikon, fehér játékos név, kicsit halványabb klánnév, tanknév, killszám, tankikon)
    "large": {
      // Engedélyezve/tiltva
      "enabled": true,
      // Az oszlop minimális szélessége, 0-250. Alapértelmezett 170.
      "width": 100,
      // A játékos nevek megjelenése (makrók engedélyezettek, lásd macros.txt).
      "nickFormatLeft": "<font face='Lucida Console' size='12' color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{xwn8}}</font> <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> {{name%.15s~..}} <font alpha='#A0'>{{clan}}</font>",
      "nickFormatRight": "<font alpha='#A0'>{{clan}}</font> {{name%.15s~..}} <img src='xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png'> <font face='Lucida Console' size='12' color='{{c:xwn8}}' alpha='{{alive?#FF|#80}}'>{{xwn8}}</font>",
      // A tanknevek megjelenése (makrók engedélyezettek, lásd macros.txt).
      "vehicleFormatLeft": "{{vehicle}}",
      "vehicleFormatRight": "{{vehicle}}",
      // Killek megjelenési módja (makrók engedélyezettek, lásd macros.txt).
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      // Extra mezők. Minden mező mérete 350x25. A mezők egymás főle kerülnek.
      // Formátumok a bal oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsLeft": [],
      // Formátumok a jobb oldalra (bővített mód engedélyezett, lásd feljebb)
      "extraFieldsRight": [
        // Spot jelző (lásd fent).
        ${"enemySpottedMarker"}
      ]
    }
  }
}